net.sf.jasperreports.engine.fill

## Class JRTemplateFrame

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRTemplateElement
  - - net.sf.jasperreports.engine.fill.JRTemplateFrame

- All Implemented Interfaces:
    java.io.Serializable, Deduplicable, JRBoxContainer, JRCommonElement, JRPropertiesHolder, JRStyleContainer

      public class JRTemplateFrame
      extends JRTemplateElement
      implements JRBoxContainer

  Frame information shared by multiple print frame objects.
  Version:
    $Id: JRTemplateFrame.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `JRTemplatePrintFrame`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRLineBox` | `lineBox`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement

      `defaultStyleProvider, origin, parentStyle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRTemplateFrame(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider)` Creates a template frame.
    `JRTemplateFrame(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider, JRFillCellContents cell)` Creates a template frame for a crosstab cell.
    `JRTemplateFrame(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider, JRFillFrame frame)` Creates a template frame for a frame.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyBox(JRLineBox lineBox)`
    `java.awt.Color` | `getDefaultLineColor()`
    `int` | `getHashCode()` Returns a hash code to be used for the deduplicate map.
    `JRLineBox` | `getLineBox()`
    `ModeEnum` | `getModeValue()` Returns the element transparency mode.
    `boolean` | `isIdentical(java.lang.Object object)` Determines if this instance is identical to another object.

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement

      `addTemplateHash, getBackcolor, getBaseStyle, getDefaultStyleProvider, getForecolor, getHeight, getId, getKey, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPropertiesMap, getStyle, getStyleNameReference, getWidth, hasProperties, setBackcolor, setElement, setForecolor, setKey, setMode, setStyle, templateIdentical`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Field Detail

    - #### lineBox

          protected JRLineBox lineBox

  - ### Constructor Detail

    - #### JRTemplateFrame

          public JRTemplateFrame(JROrigin origin,
                         JRDefaultStyleProvider defaultStyleProvider,
                         JRFillCellContents cell)

      Creates a template frame for a crosstab cell.
      Parameters:
        `cell` - the cell

    - #### JRTemplateFrame

          public JRTemplateFrame(JROrigin origin,
                         JRDefaultStyleProvider defaultStyleProvider,
                         JRFillFrame frame)

      Creates a template frame for a frame.
      Parameters:
        `frame` - the frame

    - #### JRTemplateFrame

          public JRTemplateFrame(JROrigin origin,
                         JRDefaultStyleProvider defaultStyleProvider)

      Creates a template frame.
      Parameters:
        `origin` - the origin of the elements that will use this template
        `defaultStyleProvider` - the default style provider to use for this template

  - ### Method Detail

    - #### getLineBox

          public JRLineBox getLineBox()

      Specified by:
        `getLineBox` in interface `JRBoxContainer`

    - #### copyBox

          public void copyBox(JRLineBox lineBox)

    - #### getModeValue

          public ModeEnum getModeValue()

      Description copied from interface: `JRCommonElement`
      Returns the element transparency mode. The default value depends on the type of the report element. Graphic elements like rectangles and lines are opaque by default, but the images are transparent. Both static texts and text fields are transparent by default, and so are the subreport elements.
      Specified by:
        `getModeValue` in interface `JRCommonElement`
      Overrides:
        `getModeValue` in class `JRTemplateElement`

    - #### getDefaultLineColor

          public java.awt.Color getDefaultLineColor()

      Specified by:
        `getDefaultLineColor` in interface `JRBoxContainer`

    - #### getHashCode

          public int getHashCode()

      Description copied from interface: `Deduplicable`
      Returns a hash code to be used for the deduplicate map. The returned hash code should be consitent wiwh `Deduplicable.isIdentical(Object)`, i.e. if two objects are identical they should have the same hash code.
      Specified by:
        `getHashCode` in interface `Deduplicable`
      Returns:
        deduplication hash code

    - #### isIdentical

          public boolean isIdentical(java.lang.Object object)

      Description copied from interface: `Deduplicable`
      Determines if this instance is identical to another object.
      Specified by:
        `isIdentical` in interface `Deduplicable`
      Parameters:
        `object` - the object to compare with this instance
      Returns:
        `true` if the two objects are identical and can be deduplicated

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com